Package org.pushingpixels.substance.internal.fonts

# Class DefaultKDEFontPolicy

java.lang.Object
org.pushingpixels.substance.internal.fonts.DefaultKDEFontPolicy

All Implemented Interfaces:
  `FontPolicy`

public class DefaultKDEFontPolicy extends Object implements FontPolicy
The default font policy for KDE desktops.

## Constructor Summary

Constructors
Constructor
Description
`DefaultKDEFontPolicy()`

## Method Summary

Modifier and Type
Method
Description
`FontSet`
`getFontSet(String lafName, UIDefaults table)`
Looks up and returns a set of fonts that will be used by a Look&Feel to set the default fonts for its components.
`static boolean`
`isKDERunning()`
method to check if current user session is KDE

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultKDEFontPolicy

public DefaultKDEFontPolicy()

## Method Details

### isKDERunning

public static boolean isKDERunning()
method to check if current user session is KDE

Returns:
  true if KDE session is currently running.

### getFontSet

public FontSet getFontSet(String lafName, UIDefaults table)
Description copied from interface: `FontPolicy`
Looks up and returns a set of fonts that will be used by a Look&Feel to set the default fonts for its components.

This method is invoked during the L&F component initialization. And the invoker hands over the UIDefaults object used to define the component settings. Hence, the UIDefaults object may be used to look up a font as initialized by a super Look&Feel. For example the JGoodies Windows L&F could use the defaults set by the super L&F, the Sun Windows L&F.

Specified by:
  `getFontSet` in interface `FontPolicy`
Parameters:
  `lafName` - the name of the Look&Feel that requests the fonts
  `table` - the UIDefaults table that can be used to look up fonts of a super L&F
Returns:
  a set of fonts used as default for the component.